/*
 * OSKA Posix implementation -- misc. utility functions.
 *
 * Copyright (C) 2010 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#ifndef __OSKA_POSIX_UTIL_H
#define __OSKA_POSIX_UTIL_H

#include <assert.h>

#define OS_ASSERT(e) assert(e)

#define min(a, b) ({                            \
            typeof(a) _a = (a);                \
            typeof(b) _b = (b);                \
            _a < _b ? _a : _b; })

#define max(a, b) ({                           \
            typeof(a) _a = (a);                \
            typeof(b) _b = (b);                \
            _a > _b ? _a : _b; })

#endif /* #ifndef __OSKA_POSIX_UTIL_H */
