/*
 * Windows KMDF debugger printing functions.
 *
 * Copyright (C) 2009 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#pragma once
#include <ntddk.h>

#ifdef __cplusplus
extern "C" {
#endif

void os_print(enum os_print_level level, const char *prefix, const char *name,
              const char *format, ...);

void os_vprint(enum os_print_level level, const char *prefix, const char *name,
               const char *format, va_list args);

#ifdef __cplusplus
} /* extern "C" */
#endif
