/*
 * OSKA Zoran implementation -- console printing
 *
 * Copyright (C) 2009 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#ifndef __OSKA_ZORAN_PRINT_H
#define __OSKA_ZORAN_PRINT_H

#include <stdarg.h>

void os_print(enum os_print_level level, const char *prefix, const char *name,
              const char *format, ...);
void os_vprint(enum os_print_level level, const char *prefix, const char *name,
               const char *format, va_list args);

#endif /* #ifndef __OSKA_ZORAN_PRINT_H */
