/*
 * Sdioemb common values for driver resource files.
 *
 * Copyright (C) 2010 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#include <windows.h>
#include <ntverp.h>

#include <sdioemb/version.h>

#define _S(x) #x
#define S(x) _S(x)

#undef VER_COMPANYNAME_STR
#undef VER_PRODUCTNAME_STR
#undef VER_PRODUCTVERSION
#undef VER_PRODUCTVERSION_STR

#define VER_COMPANYNAME_STR      "Cambridge Silicon Radio Ltd."
#define VER_PRODUCTNAME_STR      "CSR Embedded SDIO Driver (sdioemb)"
#define VER_PRODUCTVERSION       0,0,0,SDIOEMB_RELEASE
#define VER_PRODUCTVERSION_STR   S(SDIOEMB_RELEASE) SDIOEMB_RELEASE_EXTRA

#define VER_LEGALCOPYRIGHT_YEARS    "2010"
#define VER_LEGALCOPYRIGHT_STR      "Copyright (C) " VER_LEGALCOPYRIGHT_YEARS " " VER_COMPANYNAME_STR

#define VER_FILEVERSION          0,0,0,SDIOEMB_RELEASE
#define VER_FILEVERSION_STR      S(SDIOEMB_RELEASE) SDIOEMB_RELEASE_EXTRA
#define VER_FILETYPE             VFT_DRV
#define VER_FILESUBTYPE          VFT2_UNKNOWN
