/*
 * Core BT Type-A operations.
 *
 * Copyright (C) 2006-2007 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#include <linux/module.h>

#include <sdioemb/sdio_bt_a.h>

EXPORT_SYMBOL(sdioemb_bt_a_setup);
EXPORT_SYMBOL(sdioemb_bt_a_cleanup);
EXPORT_SYMBOL(sdioemb_bt_a_start);
EXPORT_SYMBOL(sdioemb_bt_a_stop);
EXPORT_SYMBOL(sdioemb_bt_a_send);
EXPORT_SYMBOL(sdioemb_bt_a_handle_interrupt);
EXPORT_SYMBOL(sdioemb_bt_a_set_sleep_state);
EXPORT_SYMBOL(sdioemb_bt_a_rx_on);
EXPORT_SYMBOL(sdioemb_bt_a_rx_off);

MODULE_DESCRIPTION("Bluetooth Type-A library for Embedded SDIO device driver");
MODULE_AUTHOR("Cambridge Silicon Radio Ltd.");
MODULE_LICENSE("GPL and additional rights");
