/*
 * Linux glue for the sample SDIO function driver.
 *
 * Copyright (C) 2010 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#include <linux/module.h>

#include "../cards/sample/sample.h"

static int __init sample_init(void)
{
    return sample_register();
}
module_init(sample_init);

static void __exit sample_exit(void)
{
    sample_unregister();
}
module_exit(sample_exit);

MODULE_DESCRIPTION("Sample SDIO function driver");
MODULE_AUTHOR("Cambridge Silicon Radio Ltd.");
MODULE_LICENSE("GPL and additional rights");
