/*
 * OSKA Windows KMDF implementation -- misc. utility functions.
 *
 * Copyright (C) 2009 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#pragma once
#include <ntddk.h>

#ifdef __cplusplus
extern "C" {
#endif

#define OS_ASSERT(expr) ASSERT((expr))

__inline uint16_t os_le16_to_cpu(uint16_t x)
{
    return x;
}

__inline uint16_t os_cpu_to_le16(uint16_t x)
{
    return x;
}

__inline uint32_t os_le32_to_cpu(uint32_t x)
{
    return x;
}

__inline uint32_t os_cpu_to_le32(uint32_t x)
{
    return x;
}

__inline uint64_t os_le64_to_cpu(uint64_t x)
{
    return x;
}

__inline uint64_t os_cpu_to_le64(uint64_t x)
{
    return x;
}

int snprintf(char *str, size_t size, const char *format, ...);

#ifdef __cplusplus
} /* extern "C" */
#endif
