/*
 * Synergy compatible API -- internal header.
 *
 * Copyright (C) 2010 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#ifndef _CSR_SDIO_INTERNAL_H
#define _CSR_SDIO_INTERNAL_H

#include <oska/all.h>
#include <sdioemb/sdio_api.h>

#include <csr_sdio.h>
#include <csr_sdio_lib.h>

struct glue_func {
    CsrSdioFunction function;
    struct sdioemb_dev *fdev;
    os_event_t callback_event;
    CsrResult inserted_result;
};

#endif /* #ifndef _CSR_SDIO_INTERNAL_H */
