/*
 * GUIDs for device/driver interfaces.
 *
 * Copyright (C) 2009 Cambridge Silicon Radio Ltd.
 *
 * Refer to LICENSE.txt included with this source code for details on
 * the license terms.
 */
#ifndef SDIOEMB_WINDOWS_GUID_H
#define SDIOEMB_WINDOWS_GUID_H

/*
 * Device interface for the SDIO event log.
 *
 * {15649320-8873-4c0a-8f1f-c9414f7d8295}
 */
DEFINE_GUID(GUID_DEVINTERFACE_SDIOEMB_EVENT_LOG,
            0x15649320, 0x8873, 0x4c0a, 0xfb, 0x1f, 0xc9, 0x41, 0x4f, 0x7d, 0x82, 0x95);

/*
 * Sdioemb driver interface for function devices.
 *
 * {7E80D3B3-E673-4a13-8B43-6780836FAF8C}
 */
DEFINE_GUID(GUID_DRVINTERFACE_SDIOEMB_FUNC,
            0x7e80d3b3, 0xe673, 0x4a13, 0x8b, 0x43, 0x67, 0x80, 0x83, 0x6f, 0xaf, 0x8c);

#endif /* #ifndef SDIOEMB_WINDOWS_GUID_H */
